Ubuntu

installer unable to format xfs

Reported by wackman on 2006-09-30
38
Affects Status Importance Assigned to Milestone
glibc (Debian)
Fix Released
Unknown
glibc (Ubuntu)
Undecided
Colin Watson

Bug Description

I was upgrading from edgy knot3 to beta. I was using the alternate install CD.

I chose to install clean, formating my /boot (ext3), / (xfs), and mount my lvm. The text based installer couldn't format my /. I switched to a vt and tried to manually do "mkfs.xfs /dev/hda2" but it gave me an error about missing librt.so.1.

Since my existing /dev/hda2 hadn't been formatted yet, I mounted it, coppied over librt.so.1 and librt-2.4.so (since the first was just a symlink to the 2nd), then unmounted it and tried again. All was fine.

wackman (dleland) wrote :

My arch is i386. My computer:

AthlonXP 3000+
256 MB RAM
Asrock MB
80GB ide hd

Thomas Babut (thbabut) wrote :

I can confirm this. I was using the Ubuntu 6.10 Beta 1 alternate installation and I wanted to format the /-filesystem with xfs, but it failed with the error message above.

Changed in debian-installer:
status: Unconfirmed → Confirmed
ekerazha (ekerazha) wrote :

I confirm.

pinus (pinus) wrote :

I confirm that using the beta of 6.10 is not able to install on a XFS LVM partition using format = yes.

The GNOME installer also complained that XFS cannot be used on "/boot".

daedalusman (daedalusman) wrote :

I can confirm this as well. The livecd has issues with xfs as well, when I got the the partitioning step the livecd would refuse to recognize my xfs partitions and therefor was unable to advance in the live-installer.

Colin Watson (cjwatson) wrote :

Debian fixed this by adding librt to libc6-udeb (although there was some debate about whether that was the right approach); I'm going to do the same.

Changed in debian-installer:
assignee: nobody → kamion
Colin Watson (cjwatson) wrote :

This will take a while to propagate to CD images, since it needs a debian-installer build, but it'll be there by the Edgy release candidate at the latest.

glibc (2.4-1ubuntu12) edgy; urgency=low

  * Backport from Debian (Aurelien Jarno):
    - debian/debhelper.in/nscd: create /var/run/nscd if it does not already
      exist (closes: #370122, Malone #59914).
    - Ship librt in the libc udeb (closes: #381881, Malone #63234).

 -- Colin Watson <email address hidden> Tue, 10 Oct 2006 12:30:41 +0100

Changed in glibc:
status: Confirmed → Fix Released
Changed in glibc:
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.